# _FileHelper
<span class="source-link">[[Source]](src/glob/_test.md#L54)</span>
```pony
primitive val _FileHelper
```

## Constructors

### create
<span class="source-link">[[Source]](src/glob/_test.md#L54)</span>


```pony
new val create()
: _FileHelper val^
```

#### Returns

* [_FileHelper](glob-_FileHelper) val^

---

## Public Functions

### make_files
<span class="source-link">[[Source]](src/glob/_test.md#L55)</span>


```pony
fun box make_files(
  h: TestHelper val,
  files: Array[String val] ref)
: FilePath val ?
```
#### Parameters

*   h: [TestHelper](ponytest-TestHelper) val
*   files: [Array](builtin-Array)\[[String](builtin-String) val\] ref

#### Returns

* [FilePath](files-FilePath) val ?

---

### eq
<span class="source-link">[[Source]](src/glob/_test.md#L55)</span>


```pony
fun box eq(
  that: _FileHelper val)
: Bool val
```
#### Parameters

*   that: [_FileHelper](glob-_FileHelper) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/glob/_test.md#L55)</span>


```pony
fun box ne(
  that: _FileHelper val)
: Bool val
```
#### Parameters

*   that: [_FileHelper](glob-_FileHelper) val

#### Returns

* [Bool](builtin-Bool) val

---

